API DocumentationManufacturer routing template controller

Create

POST
/api/manufacturer/v1/part-specifications/{specId}/routing-templates

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

specId*string
Formatuuid

Request Body

application/json
  1. body
name?string
steps*array<>
replacesRoutingTemplateId?string
Formatuuid

Response Body

The created routing template

*/*
  1. response
id*string
Formatuuid
partSpecificationId*string
Formatuuid
name*string
approved*boolean
isDefault*boolean
deprecated*boolean
deprecatedAt?string
Formatdate-time
replacedById?string
Formatuuid
workOrderReferences*integer
Formatint64
steps*array<>
createdAt*string
Formatdate-time
updateDt*string
Formatdate-time
curl -X POST 'https://m-api.eu.phas.io/api/manufacturer/v1/part-specifications/497f6eca-6276-4993-bfeb-53cbbbba6f08/routing-templates' \  -H 'Content-Type: application/json' \  -d '{  "steps": [    {      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "sequence": 0    }  ]}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "partSpecificationId": "00ed504c-6ecc-48e1-8d82-d5b33aa8626d",  "name": "string",  "approved": true,  "isDefault": true,  "deprecated": true,  "deprecatedAt": "2019-08-24T14:15:22Z",  "replacedById": "a0b3b1cc-bf08-43c8-b227-bc611de3b6d2",  "workOrderReferences": 0,  "steps": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",      "operationName": "string",      "sequence": 0    }  ],  "createdAt": "2019-08-24T14:15:22Z",  "updateDt": "2019-08-24T14:15:22Z"}